<?php
declare(strict_types=1);

namespace AuxCF\Entities\Field\Enum;

use AuxCF\Entities\Settings\Traits\SettingEnumTraits;

enum ImageFieldLibraryEnum: string
{
  use SettingEnumTraits;

  case All = 'all';
  case UploadedTo = 'uploadedTo';

  public const SETTING_KEY = 'library';
  public const SETTING_LABEL = 'image field library';

  public const DEFAULT = self::All;
}
